import java.util.Scanner;
import java.io.File;
import java.io.PrintWriter;

/**
 * Created by IntelliJ IDEA.
 * User: m08kea
 * Date: 30.09.2009
 * Time: 19:10:39
 * To change this template use File | Settings | File Templates.
 */
public class division {
    public static void main (String[] args) throws Exception {
        Scanner p = new Scanner(new File("quotient.in"));
        long a=p.nextInt();
        long b=p.nextInt();
        p.close();
        PrintWriter q = new PrintWriter(new File("quotient.out"));
        q.println(a/b);
        q.close();
        if (b == 0) {
            PrintWriter r = new PrintWriter(new File("quotient.out"));
            r.print("Na nol' delit' nel'zya!!!");
            r.close();
        }
      }
}